summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-08-23 12:48:52 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-08-23 12:48:52 +0000
commit032a7ce295a1da25816c39cf1e579f2550d1ba66 (patch)
treec49aa4cda0fc19e239619b99cd1b810e8d44ad77 /dev-python
parent0ef49ddebd4614eb92d89a84fb5f5c6d60c18d31 (diff)
downloadbaldeagleos-repo-032a7ce295a1da25816c39cf1e579f2550d1ba66.tar.gz
baldeagleos-repo-032a7ce295a1da25816c39cf1e579f2550d1ba66.tar.xz
baldeagleos-repo-032a7ce295a1da25816c39cf1e579f2550d1ba66.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/pyside6-tools/files/pyside2-tools-5.15.1-dont-install-tools.patch58
-rw-r--r--dev-python/pyside6/files/pyside6-6.3.1-fix-designer-plugin-install-location.patch16
-rw-r--r--dev-python/pyside6/pyside6-6.3.1-r1.ebuild (renamed from dev-python/pyside6/pyside6-6.3.1.ebuild)5
-rw-r--r--dev-python/reportlab/files/reportlab-3.6.11-correct-srclen-type-in-gstate__aapixbuf.patch37
-rw-r--r--dev-python/reportlab/reportlab-3.6.11-r1.ebuild63
-rw-r--r--dev-python/yara-python/Manifest1
-rw-r--r--dev-python/yara-python/metadata.xml4
-rw-r--r--dev-python/yara-python/yara-python-4.2.3.ebuild33
8 files changed, 159 insertions, 58 deletions
diff --git a/dev-python/pyside6-tools/files/pyside2-tools-5.15.1-dont-install-tools.patch b/dev-python/pyside6-tools/files/pyside2-tools-5.15.1-dont-install-tools.patch
deleted file mode 100644
index 60de6aa07ee7..000000000000
--- a/dev-python/pyside6-tools/files/pyside2-tools-5.15.1-dont-install-tools.patch
+++ /dev/null
@@ -1,58 +0,0 @@
-diff --git a/CMakeLists.txt b/CMakeLists.txt
-index 20a5e19..575c1df 100644
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -55,38 +55,6 @@ else()
- set(DESIGNER_PATH "${TOOLS_PATH}/designer${EXE_EXT}")
- endif()
-
--install(FILES "${UIC_PATH}"
-- DESTINATION bin
-- PERMISSIONS
-- OWNER_EXECUTE OWNER_WRITE OWNER_READ
-- GROUP_EXECUTE GROUP_READ
-- WORLD_EXECUTE WORLD_READ)
--
--install(FILES "${RCC_PATH}"
-- DESTINATION bin
-- PERMISSIONS
-- OWNER_EXECUTE OWNER_WRITE OWNER_READ
-- GROUP_EXECUTE GROUP_READ
-- WORLD_EXECUTE WORLD_READ)
--
--if (EXISTS ${DESIGNER_PATH})
-- if (APPLE)
-- install(DIRECTORY "${DESIGNER_PATH}"
-- DESTINATION bin
-- FILE_PERMISSIONS
-- OWNER_EXECUTE OWNER_WRITE OWNER_READ
-- GROUP_EXECUTE GROUP_READ
-- WORLD_EXECUTE WORLD_READ)
-- else()
-- install(FILES "${DESIGNER_PATH}"
-- DESTINATION bin
-- PERMISSIONS
-- OWNER_EXECUTE OWNER_WRITE OWNER_READ
-- GROUP_EXECUTE GROUP_READ
-- WORLD_EXECUTE WORLD_READ)
-- endif()
--endif()
--
- configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake"
- "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
- IMMEDIATE @ONLY)
-@@ -113,14 +81,6 @@ endif()
-
- add_subdirectory(pylupdate)
-
--# pyside2-rcc, pyside2-uic, pyside2-designer, shiboken and pyside2-lupdate entrypoints
--install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/pyside_tool.py
-- DESTINATION bin
-- PERMISSIONS
-- OWNER_EXECUTE OWNER_WRITE OWNER_READ
-- GROUP_EXECUTE GROUP_READ
-- WORLD_EXECUTE WORLD_READ)
--
- if (BUILD_TESTS)
- enable_testing()
- add_subdirectory(tests)
diff --git a/dev-python/pyside6/files/pyside6-6.3.1-fix-designer-plugin-install-location.patch b/dev-python/pyside6/files/pyside6-6.3.1-fix-designer-plugin-install-location.patch
new file mode 100644
index 000000000000..b7d1c2b31553
--- /dev/null
+++ b/dev-python/pyside6/files/pyside6-6.3.1-fix-designer-plugin-install-location.patch
@@ -0,0 +1,16 @@
+https://bugs.gentoo.org/865363
+
+From 109d7bbec01870f8e944a9cde09d3e2f70e13e0d Mon Sep 17 00:00:00 2001
+From: Bernd Waibel <waebbl-gentoo@posteo.net>
+Date: Mon, 22 Aug 2022 07:10:35 +0200
+Subject: [PATCH] fix designer plugin install location
+
+Signed-off-by: Bernd Waibel <waebbl-gentoo@posteo.net>
+--- a/plugins/designer/CMakeLists.txt
++++ b/plugins/designer/CMakeLists.txt
+@@ -53,4 +53,4 @@ target_link_libraries(PySidePlugin PRIVATE
+ Qt::Widgets
+ ${SHIBOKEN_PYTHON_LIBRARIES})
+
+-install(TARGETS PySidePlugin LIBRARY DESTINATION "plugins/designer")
++install(TARGETS PySidePlugin LIBRARY DESTINATION "lib${LIB_SUFFIX}/qt6/plugins/designer")
diff --git a/dev-python/pyside6/pyside6-6.3.1.ebuild b/dev-python/pyside6/pyside6-6.3.1-r1.ebuild
index 4fe06dbd664d..2494beef55ba 100644
--- a/dev-python/pyside6/pyside6-6.3.1.ebuild
+++ b/dev-python/pyside6/pyside6-6.3.1-r1.ebuild
@@ -98,6 +98,7 @@ DEPEND="${RDEPEND}
PATCHES=(
"${FILESDIR}/${P}-no-strip.patch"
+ "${FILESDIR}/${P}-fix-designer-plugin-install-location.patch"
)
src_configure() {
@@ -153,6 +154,10 @@ src_configure() {
-DCMAKE_DISABLE_FIND_PACKAGE_Qt6Widgets=$(usex !widgets)
#-DCMAKE_DISABLE_FIND_PACKAGE_Qt6WinExtras=yes
-DCMAKE_DISABLE_FIND_PACKAGE_Qt6Xml=$(usex !xml)
+ # try to avoid pre-stripping
+ -DQFP_NO_OVERRIDE_OPTIMIZATION_FLAGS=yes
+ -DQFP_NO_STRIP=yes
+
)
pyside6_configure() {
diff --git a/dev-python/reportlab/files/reportlab-3.6.11-correct-srclen-type-in-gstate__aapixbuf.patch b/dev-python/reportlab/files/reportlab-3.6.11-correct-srclen-type-in-gstate__aapixbuf.patch
new file mode 100644
index 000000000000..20a57efcac66
--- /dev/null
+++ b/dev-python/reportlab/files/reportlab-3.6.11-correct-srclen-type-in-gstate__aapixbuf.patch
@@ -0,0 +1,37 @@
+Note: Upstream development is done in HG, not git; this patch was
+generated using the git mirror at
+https://github.com/MrBitBucket/reportlab-mirror. Attempted to submit to
+reportlab-users mailing list but it rejected my mail server.
+
+From 9ba2380a68e891667a2659e16d0f04ebe0ecfd19 Mon Sep 17 00:00:00 2001
+From: matoro <matoro@users.noreply.github.com>
+Date: Mon, 4 Jul 2022 18:42:18 -0400
+Subject: [PATCH] correct srclen type in gstate__aapixbuf
+
+gstate__aapixbuf calls PyArg_ParseTuple with the format string
+"ddddy#ii|i". Specifically the key "y#" will try to read a bytes-like
+object and its size into two Python variables. The latter of these
+should be of type Py_ssize_t as specified by the C API, but here it is
+incorrectly declared as an int. This was pointed out to me by the
+cpython developers when I mistakenly identified it as a cpython bug and
+submitted a PR there: https://github.com/python/cpython/issues/94149
+---
+ src/rl_addons/renderPM/_renderPM.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/rl_addons/renderPM/_renderPM.c b/src/rl_addons/renderPM/_renderPM.c
+index c8415595..bc77d766 100644
+--- a/src/rl_addons/renderPM/_renderPM.c
++++ b/src/rl_addons/renderPM/_renderPM.c
+@@ -1319,7 +1319,7 @@ static void _reverse_rows_inplace( char *buf, int nrows, int stride)
+
+ static PyObject* gstate__aapixbuf(gstateObject* self, PyObject* args)
+ {
+- int srclen;
++ Py_ssize_t srclen;
+ double ctm[6], dstX, dstY, dstW, dstH;
+ ArtPixBuf src;
+
+--
+2.37.2
+
diff --git a/dev-python/reportlab/reportlab-3.6.11-r1.ebuild b/dev-python/reportlab/reportlab-3.6.11-r1.ebuild
new file mode 100644
index 000000000000..db7acd56dbbc
--- /dev/null
+++ b/dev-python/reportlab/reportlab-3.6.11-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Tools for generating printable PDF documents from any data source"
+HOMEPAGE="
+ https://www.reportlab.com/
+ https://pypi.org/project/reportlab/
+"
+SRC_URI="
+ mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz
+ https://www.reportlab.com/ftp/fonts/pfbfer-20070710.zip
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+DEPEND="
+ media-libs/freetype
+ media-libs/libart_lgpl
+ sys-libs/zlib:=
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/pillow[tiff,truetype,jpeg(+),${PYTHON_USEDEP}]
+"
+BDEPEND="
+ app-arch/unzip
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.6.9-paths.patch
+ "${FILESDIR}"/${PN}-3.6.11-correct-srclen-type-in-gstate__aapixbuf.patch
+)
+
+distutils_enable_sphinx docs/source
+
+src_unpack() {
+ unpack ${P}.tar.gz
+ cd ${P}/src/reportlab/fonts || die
+ unpack pfbfer-20070710.zip
+}
+
+src_configure() {
+ cat > local-setup.cfg <<-EOF || die
+ [OPTIONS]
+ no-download-t1-files = 1
+ use-system-libart = 1
+ EOF
+}
+
+python_test() {
+ pushd tests >/dev/null || die
+ "${EPYTHON}" runAll.py -v || die "Testing failed with ${EPYTHON}"
+ popd >/dev/null || die
+}
diff --git a/dev-python/yara-python/Manifest b/dev-python/yara-python/Manifest
index c343c2d42c6e..0821999b4538 100644
--- a/dev-python/yara-python/Manifest
+++ b/dev-python/yara-python/Manifest
@@ -1 +1,2 @@
DIST yara-python-4.2.0.gh.tar.gz 34459 BLAKE2B fce460385eaa75dd1779fe49c7937ff36d7604433deb310b6fe9e66af9ea521952f92bee61829372cf19c7efee170329609530f1f9e863991720e4887c3c1349 SHA512 ba08d709fc51679ec9fe36165e0864b79fc241f85c681bf59823fe7bb0e34e928cded050ff296147eb5bcb837485f39949aa93425a0eb9ca8b3730e60fac93f4
+DIST yara-python-4.2.3.gh.tar.gz 34466 BLAKE2B a4c1435a73163cacc445e50d0651306b06df9ceffc1f01eb03b440325a3463672c3829ff48d4b45fa3cdb54e52c7661636b46c81aad39e3b51da0995e192f728 SHA512 d6d083cafe759e47ed1497f97df12679e75e647850696b20d0335d4693ba82970e3bfb23e8e975b4c6f813a8f3f439e96ad9e97d3a7766bb0472d156b1039f83
diff --git a/dev-python/yara-python/metadata.xml b/dev-python/yara-python/metadata.xml
index 3f239e8936df..e7359efda08a 100644
--- a/dev-python/yara-python/metadata.xml
+++ b/dev-python/yara-python/metadata.xml
@@ -9,6 +9,10 @@
<email>sam@gentoo.org</email>
<name>Sam James</name>
</maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
<longdescription>
With this library you can use YARA from your Python programs. It covers
all YARA's features, from compiling, saving and loading rules to
diff --git a/dev-python/yara-python/yara-python-4.2.3.ebuild b/dev-python/yara-python/yara-python-4.2.3.ebuild
new file mode 100644
index 000000000000..111529a025f1
--- /dev/null
+++ b/dev-python/yara-python/yara-python-4.2.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python interface for a malware identification and classification tool"
+HOMEPAGE="https://github.com/VirusTotal/yara-python"
+SRC_URI="https://github.com/virustotal/yara-python/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+RDEPEND="${PYTHON_DEPS}
+ =app-forensics/yara-$(ver_cut 1-2)*"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
+
+python_configure_all() {
+ cat >> setup.cfg <<-EOF
+ [build_ext]
+ dynamic-linking = True
+ EOF
+}
+
+python_test() {
+ "${EPYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
+}